org.apache.ignite.hadoop

## Interface HadoopJob

All Known Implementing Classes:
  HadoopJobEx

    public interface HadoopJob

Compact job description.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `hasCombiner()` Checks whether job has combiner.
`boolean` `hasReducer()` Checks whether job has reducer.
`Collection<HadoopInputSplit>` `input()` Gets collection of input splits for this job.
`String` `jobName()` Gets job name.
`String` `property(String name)` Gets optional configuration property for the job.
`int` `reducers()`
`String` `user()` Gets user name.

### Method Detail

#### input

    Collection<HadoopInputSplit> input()

Gets collection of input splits for this job.

Returns:
  Input splits.

#### property

    @Nullable
    String property(String name)

Gets optional configuration property for the job.

Parameters:
  `name` - Property name.
Returns:
  Value or `null` if none.

#### hasCombiner

    boolean hasCombiner()

Checks whether job has combiner.

Returns:
  `true` If job has combiner.

#### hasReducer

    boolean hasReducer()

Checks whether job has reducer. Actual number of reducers will be in `HadoopMapReducePlan.reducers()`.

Returns:
  Number of reducer.

#### reducers

    int reducers()

Returns:
  Number of reducers configured for job.

#### jobName

    String jobName()

Gets job name.

Returns:
  Job name.

#### user

    String user()

Gets user name.

Returns:
  User name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019